#
# spec file for package lpdfilter (Version 0.45)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gdbm gdbm-devel gettext gettext-devel ghostscript-mini glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libpng libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd termcap texinfo timezone unzip util-linux vim xorg-x11 xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           lpdfilter
BuildRequires:  ghostscript-mini termcap xorg-x11 xorg-x11-devel
Version:        0.45
Release:        267.2
Summary:        A Standard Printer Filter for Lpd
License:        GPL
Group:          Hardware/Printing
Requires:       a2ps file /bin/chown /usr/bin/tail /usr/bin/grep dialog netpbm jpeg transfig g3utils groff print_daemon ghostscript_any
Conflicts:      cups
Autoreqprov:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        lpdfilter-0.45.tar.bz2
Source1:        pspreloads.tar.bz2
Source2:        hplip.list.gz
Source3:        hplip-ppd.sh
Patch:          lpdfilter-0.45.dif
Patch1:         lpdfilter-0.45-hplip.dif

%description
Lpdfilter is a collection of scripts used for printing various data
with lpr(1) and lpd(8). An entry for lpdfilter in /etc/printcap is
required (see printcap(5)) to enable these scripts. This can be done by
using the lprsetup script or by calling YaST2, which uses lprsetup.



Authors:
--------
    Werner Fink <werner@suse.de>

%debug_package
%prep
%setup 
%patch
%patch1 -p 0 -b .hplip

%build
  xmkmf -a
  make clean
  make

%install
  rm -f ${RPM_BUILD_ROOT}/usr/lib/lpdfilter/bin/lprsetup
  rm -f ${RPM_BUILD_ROOT}/usr/sbin/lprsetup
  make install DESTDIR=${RPM_BUILD_ROOT}
  bzip2 COPYING
  bzip2 -d -c %{SOURCE1} | tar xf - -C ${RPM_BUILD_ROOT}/usr/lib/lpdfilter/
  chown -R root:root ${RPM_BUILD_ROOT}/usr/lib/lpdfilter
  mv ${RPM_BUILD_ROOT}/usr/sbin/lprsetup ${RPM_BUILD_ROOT}/usr/lib/lpdfilter/bin/
  ln -sf ../lib/lpdfilter/bin/lprsetup ${RPM_BUILD_ROOT}/usr/sbin/lprsetup
  cp %{SOURCE2}	${RPM_BUILD_ROOT}/usr/lib/lpdfilter/global/

%files
%doc COPYING.bz2 README
/etc/lpdfilter
%attr(4755,root,root) /usr/lib/lpdfilter/bin/runlpr
/usr/lib/lpdfilter
/usr/sbin/lprsetup
%doc /usr/share/man/man8/lpdfilter.8.gz

%changelog -n lpdfilter
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Mar 09 2005 - werner@suse.de
- Support for hplip/hpijs drivers even without installed hplip
* Wed Mar 09 2005 - werner@suse.de
- Ghostscript is required for build
* Wed Mar 02 2005 - werner@suse.de
- Add support for hplip/hpijs drivers
* Tue Jun 22 2004 - werner@suse.de
- Fix device or resource busy problem (#42167)
- Handle removed control file of LPRng (bug #42294)
* Tue May 11 2004 - werner@suse.de
- Replace old package dependencies name with binaries dependencies
- Remove html2ps dependency because this triggers ImageMagic
* Fri Apr 23 2004 - werner@suse.de
- Fix strict-aliasing issue
- Simplify readpc.sh to support also old apsfilter entries
- Update cpva post filtering to new md filter
* Tue Apr 06 2004 - kukuk@suse.de
- Fix default permissions
* Fri Sep 12 2003 - kukuk@suse.de
- Fix neededforbuild
- Add conflict to cups
* Tue Jul 29 2003 - aj@suse.de
- Fix chown invocation.
* Wed Jul 16 2003 - werner@suse.de
- Use a script to fetch printcap data of LPRng due missing
  termcap compatibility (bug #27259)
* Tue Apr 15 2003 - werner@suse.de
- Enable post processing even if driver is overwritten with PS
* Mon Apr 14 2003 - werner@suse.de
- Add missing `-' in pre/ps2up4ps (bug #26237)
- Make post processing an option for PostScript printers
* Fri Mar 21 2003 - werner@suse.de
- Find TeX, X11, Acrobat, and lilypond fonts.
* Wed Oct 23 2002 - ro@suse.de
- removed bogus self-provides again
* Wed Oct 23 2002 - werner@suse.de
- New versoin 0.44 with security update of runlpr
* Tue Sep 10 2002 - werner@suse.de
- Be noisy on deletion of foreign entries (bug #19310)
* Mon Jul 22 2002 - schwab@suse.de
- Clean before building.
* Thu Jul 11 2002 - werner@suse.de
- Make the makeres script work: preinstall a working ghostscript.
- move to new lpdfilter version 0.43
* Wed Jul 10 2002 - werner@suse.de
- Add :lk: for all local printer devices for LPRng (bug #16553)
- Remove spool directory if printer configuration is removed.
- Add command line option for supplying the printcap file
* Mon May 27 2002 - werner@suse.de
- Bug fix: call $cat without path due we've add lpdfilters bin
  to PATH
* Thu Apr 25 2002 - werner@suse.de
- Make that linker find libtermcap even if on x86_64
* Tue Mar 12 2002 - werner@suse.de
- Set correct DESTDIR for redirect scripts to set correct
  permisions for executing.
* Tue Mar 05 2002 - werner@suse.de
- More fixes for bug #14385: plain forwarding queue, prefilter +
  frowarding queue, and prefilter queue where the forwarding
  in BSD style
* Tue Mar 05 2002 - werner@suse.de
- Fix bug #14385: filter locally for remote queue
* Mon Mar 04 2002 - werner@suse.de
- Fix bugs #14328, #14327, #14355, #14372, #14394
  * lpdfilter -delete $QUEUE should delete the /etc/lpdfilter/$QUEUE/
  * set the permissions of printcap always correctly
  * lpdfilter handle a4dj correctly
  * Use GS_OPTIONS _and_ GS_AFTER for YaST2 upp files in lpdfilter
  * do not set -r for Ghostscript in bin/if if no $dpi is given
* Fri Mar 01 2002 - werner@suse.de
- Fix bug #14254: correct comment about doing form feeds.
* Wed Feb 27 2002 - werner@suse.de
- Fix bug #13962: break post command to get the executable and
  its options separated.
- Fix bug #13969: use paranoid group (non) permissions for LPRng
* Tue Feb 26 2002 - werner@suse.de
- One fix mor for bug #13787: append :fq: if :ff_separator: is used
* Fri Feb 22 2002 - werner@suse.de
- Fix bug #13787: replace :sf@: with :ff_separator:
* Fri Feb 22 2002 - werner@suse.de
- Fix bug 13160: Be not berkly compatible if we use extended
  lp entries, do not overwrite number of allowed copies.
* Fri Feb 08 2002 - werner@suse.de
- Remove code word from listings in lprsetup
* Tue Jan 29 2002 - werner@suse.de
- Move input filter after the upp scanner (#bug 12955)
- Comment out type check on PostScript input even if ghostscript
  is used for printing (#bug 12955)
* Tue Jan 29 2002 - werner@suse.de
- Fix bug #12940: Do real closing of fd 1 and 3 in lprsetup
* Mon Jan 28 2002 - werner@suse.de
- Remove xgrace from Requires
- Move /usr/sbin/lprsetup to /usr/lib/lpdfilter/bin/lprsetup
  and make a symbolic link back to /usr/sbin/
* Thu Jan 24 2002 - werner@suse.de
- Enable gamma correction with Z option of lpr
- Add PostScript preloads
* Tue Jan 22 2002 - werner@suse.de
- Initial version of lpdfilter as a replacement of apsfilter
